Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb
Class AbstractEntityManagerImpl.TupleBuilderTransformer.HqlTupleElementImpl<X>

    java.lang.Object
      org.hibernate.ejb.AbstractEntityManagerImpl.TupleBuilderTransformer.HqlTupleElementImpl<X>

All Implemented Interfaces:
  TupleElement<X>

Enclosing class:
  AbstractEntityManagerImpl.TupleBuilderTransformer

    public static class AbstractEntityManagerImpl.TupleBuilderTransformer.HqlTupleElementImpl<X>

extends Object
implements TupleElement<X>

Constructor Summary
`AbstractEntityManagerImpl.TupleBuilderTransformer.HqlTupleElementImpl(int position, String alias, Type hibernateType)`

Method Summary
`String` | `getAlias()`
`Type` | `getHibernateType()`
`Class` | `getJavaType()`
`int` | `getPosition()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractEntityManagerImpl.TupleBuilderTransformer.HqlTupleElementImpl

    public AbstractEntityManagerImpl.TupleBuilderTransformer.HqlTupleElementImpl(int position,
                                                                                 String alias,
                                                                                 Type hibernateType)

Method Detail

### getJavaType

    public Class getJavaType()

  Specified by:
    `getJavaType` in interface `TupleElement<X>`

### getAlias

    public String getAlias()

  Specified by:
    `getAlias` in interface `TupleElement<X>`

### getPosition

    public int getPosition()

### getHibernateType

    public Type getHibernateType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.